Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.nodebranchdata
Class UniqueNameAdapter

    java.lang.Object
      info.bioinfweb.treegraph.document.nodebranchdata.AbstractNodeBranchDataAdapter
          info.bioinfweb.treegraph.document.nodebranchdata.UniqueNameAdapter

All Implemented Interfaces:
  NodeBranchDataAdapter

    public class UniqueNameAdapter

extends AbstractNodeBranchDataAdapter
implements NodeBranchDataAdapter

Field Summary
`private static UniqueNameAdapter` | `sharedInstance`

Constructor Summary
`UniqueNameAdapter()`

Method Summary
`boolean` | `decimalOnly()`
`void` | `delete(Node node)`
`Node` | `getDataElement(Node node)` This method should return the tree element which contains the data which is edited with the implementation of the respective adapter.
`double` | `getDecimal(Node node)`
`static UniqueNameAdapter` | `getSharedInstance()`
`java.lang.String` | `getText(Node node)`
`boolean` | `isDecimal(Node node)`
`boolean` | `isEmpty(Node node)`
`boolean` | `isNewColumn()`
`boolean` | `isString(Node node)`
`boolean` | `readOnly()`
`void` | `setDecimal(Node node, double value)`
`void` | `setText(Node node, java.lang.String value)`
`java.lang.String` | `toString()` A description of the adapter that is readable by the user should be returned here.

Methods inherited from class info.bioinfweb.treegraph.document.nodebranchdata.AbstractNodeBranchDataAdapter
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sharedInstance

    private static UniqueNameAdapter sharedInstance

Constructor Detail

### UniqueNameAdapter

    public UniqueNameAdapter()

Method Detail

### getSharedInstance

    public static UniqueNameAdapter getSharedInstance()

### readOnly

    public boolean readOnly()

  Specified by:
    `readOnly` in interface `NodeBranchDataAdapter`

### decimalOnly

    public boolean decimalOnly()

  Specified by:
    `decimalOnly` in interface `NodeBranchDataAdapter`

### isNewColumn

    public boolean isNewColumn()

  Specified by:
    `isNewColumn` in interface `NodeBranchDataAdapter`

### isDecimal

    public boolean isDecimal(Node node)

  Specified by:
    `isDecimal` in interface `NodeBranchDataAdapter`

### isEmpty

    public boolean isEmpty(Node node)

  Specified by:
    `isEmpty` in interface `NodeBranchDataAdapter`

### isString

    public boolean isString(Node node)

  Specified by:
    `isString` in interface `NodeBranchDataAdapter`

### delete

    public void delete(Node node)

  Specified by:
    `delete` in interface `NodeBranchDataAdapter`

### getDecimal

    public double getDecimal(Node node)

  Specified by:
    `getDecimal` in interface `NodeBranchDataAdapter`

### getText

    public java.lang.String getText(Node node)

  Specified by:
    `getText` in interface `NodeBranchDataAdapter`

### setDecimal

    public void setDecimal(Node node,
                           double value)

  Specified by:
    `setDecimal` in interface `NodeBranchDataAdapter`

### setText

    public void setText(Node node,
                        java.lang.String value)

  Specified by:
    `setText` in interface `NodeBranchDataAdapter`

### getDataElement

    public Node getDataElement(Node node)

  Description copied from interface: `NodeBranchDataAdapter`
  This method should return the tree element which contains the data which is edited with the implementation of the respective adapter.

  Specified by:
    `getDataElement` in interface `NodeBranchDataAdapter`
  Returns:

### toString

    public java.lang.String toString()

  Description copied from interface: `NodeBranchDataAdapter`
  A description of the adapter that is readable by the user should be returned here.

  Specified by:
    `toString` in interface `NodeBranchDataAdapter`
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD